## eog 3.28.1

=== meson_options.txt ===
option('libexif', type: 'boolean', value: true, description: 'enable EXIF support')
option('cms', type: 'boolean', value: true, description: 'enable colour management support')
option('xmp', type: 'boolean', value: true, description: 'enable special XMP support')
option('libjpeg', type: 'boolean', value: true, description: 'enable special JPEG support')
option('librsvg', type: 'boolean', value: true, description: 'enable RSVG support')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')

=== debian/changelog ===
eog (3.28.1-1) unstable; urgency=medium

  * New upstream release 

 -- Tim Lunn <tim@feathertop.org>  Sat, 14 Apr 2018 13:36:44 +1000

eog (3.28.0-2) unstable; urgency=medium

  * Add various dependencies to eog-dev as a workaround for bug #892956.
    This will allow eog-plugins to build until there is a better fix
    (Closes: #893603)

 -- Tim Lunn <tim@feathertop.org>  Tue, 20 Mar 2018 18:30:33 +1100

eog (3.28.0-1) unstable; urgency=medium

  * New upstream development release

 -- Tim Lunn <tim@feathertop.org>  Sat, 17 Mar 2018 13:06:33 +1100

eog (3.27.91-1) unstable; urgency=medium

  * New upstream development release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Mar 2018 17:15:43 -0500

eog (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Feb 2018 08:31:52 -0500

eog (3.26.2-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Drop obsolete patches (Closes: #881463)
    - 0001-Add-a-traditional-menu-bar.patch
    - 0002-Show-traditional-title-bar-in-unity.patch

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 24 Jan 2018 11:35:49 -0500

eog (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Mark eog-dev as Multi-Arch: same

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 08:30:11 -0500

eog (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Switch to dh_missing and abort on uninstalled files

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Nov 2017 01:33:51 +0100

eog (3.26.1-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on libgdk-pixbuf2.0-dev to (>= 2.36.5) as per
    configure.ac.

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.1.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Oct 2017 20:54:36 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: eog
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper (>= 11.1.3),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.16),
               itstool,
               meson (>= 0.43.0),
               pkg-config,
               libgtk-3-dev (>= 3.22.0),
               libgdk-pixbuf2.0-dev (>= 2.36.5),
               libglib2.0-dev (>= 2.42.0),
               libgnome-desktop-3-dev (>= 2.91.2),
               shared-mime-info (>= 0.20),
               gsettings-desktop-schemas-dev (>= 2.91.92),
               libpeas-dev (>= 0.7.4),
               zlib1g-dev,
               libexif-dev (>= 0.6.14),
               liblcms2-dev,
               libexempi-dev (>= 1.99.5),
               libjpeg-dev,
               librsvg2-dev (>= 2.36.2),
               libatk1.0-dev (>= 1.32.0-2~),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               libgdk-pixbuf2.0-doc,
               libglib2.0-doc,
               libgtk-3-doc
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/gnome-team/eog
Vcs-Git: https://salsa.debian.org/gnome-team/eog.git
Homepage: https://wiki.gnome.org/Apps/EyeOfGnome

Package: eog
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         shared-mime-info (>= 0.20),
         gsettings-desktop-schemas (>= 2.91.92),
         gir1.2-peas-1.0
Recommends: librsvg2-common,
            yelp
Suggests: eog-plugins
Breaks: eog-plugins (<< 3.16.4-2~)
Description: Eye of GNOME graphics viewer program
 eog or the Eye of GNOME is a simple graphics viewer for the GNOME
 desktop which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.

Package: eog-dev
Architecture: any
Multi-Arch: same
Depends: eog (= ${binary:Version}),
         libexempi-dev,
         libgnome-desktop-3-dev (>= 2.91.2),
         libgtk-3-dev (>= 3.22.0),
         libjpeg-dev,
         liblcms2-dev,
         librsvg2-dev (>= 2.36.2),
         ${misc:Depends}
Description: Development files for the Eye of GNOME
 eog or the Eye of GNOME is a graphics viewer for the GNOME desktop
 which uses the gdk-pixbuf library.
 .
 This package contains header files and development information, which
 is needed to build plugins for the Eye of GNOME.

=== debian/rules ===
#! /usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/eog/gir-1.0/ /usr/lib/$(DEB_HOST_MULTIARCH)/eog/girepository-1.0/

# Needed by Ubuntu
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) eog-pot
	dh_translations

override_dh_auto_clean:
	dh_auto_clean
	rm -f po/eog.pot

## eog 3.28.4

=== debian/changelog ===
eog (3.28.4-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 20:07:15 -0500

eog (3.28.4-1) unstable; urgency=medium

  * New upstream release
  * Drop unneeded dh_translations overrides

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 09 Oct 2018 23:05:39 -0400

eog (3.28.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.1.5 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Jul 2018 10:56:47 +0100

eog (3.28.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4
  * Update debian/gbp.conf

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 20 May 2018 17:21:34 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools (>= 0.10),
                gtk-doc-tools (>= 1.16),
@@ -32,7 +32,8 @@
                libgdk-pixbuf2.0-doc,
                libglib2.0-doc,
                libgtk-3-doc
-Standards-Version: 4.1.2
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog
 Vcs-Git: https://salsa.debian.org/gnome-team/eog.git
 Homepage: https://wiki.gnome.org/Apps/EyeOfGnome

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/eog/gir-1.0/ /usr/lib/$(DEB_HOST_MULTIARCH)/eog/girepository-1.0/

## eog 3.32.0

=== debian/changelog ===
eog (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Mar 2019 20:11:28 -0400

eog (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 15:09:38 -0500

## eog 3.32.1

=== debian/changelog ===
eog (3.32.1-1) experimental; urgency=medium

  * New upstream release
  * d/p/EogWindow-Don-t-unref-timer-sources-before-destroying-the.patch:
    - remove, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 10:52:56 +0200

eog (3.32.0-2) experimental; urgency=medium

  * d/p/EogWindow-Don-t-unref-timer-sources-before-destroying-the.patch:
    - Don't unref timer sources before destroying them.
      Resolves a segfault in slideshow mode (lp: #1823148)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Apr 2019 10:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11.1.3),
-               gnome-pkg-tools (>= 0.10),
+Build-Depends: debhelper (>= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gtk-doc-tools (>= 1.16),
                itstool,
                meson (>= 0.43.0),
@@ -27,7 +28,6 @@
                libjpeg-dev,
                librsvg2-dev (>= 2.36.2),
                libatk1.0-dev (>= 1.32.0-2~),
-               gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                libgdk-pixbuf2.0-doc,
                libglib2.0-doc,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dgtk_doc=true

## eog 3.34.1

=== debian/changelog ===
eog (3.34.1-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Tue, 08 Oct 2019 18:24:54 +1100

eog (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 09:32:19 +0200

eog (3.33.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 13:35:23 +0200

eog (3.33.90-2) experimental; urgency=medium

  * debian/rules:
    - include the private library subdir in the call to dh_girepository 

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Aug 2019 17:41:35 +0200

eog (3.33.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson and librsvg requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 17:23:29 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.16),
                itstool,
-               meson (>= 0.43.0),
+               meson (>= 0.50),
                pkg-config,
                libgtk-3-dev (>= 3.22.0),
                libgdk-pixbuf2.0-dev (>= 2.36.5),
@@ -26,7 +26,7 @@
                liblcms2-dev,
                libexempi-dev (>= 1.99.5),
                libjpeg-dev,
-               librsvg2-dev (>= 2.36.2),
+               librsvg2-dev (>= 2.44),
                libatk1.0-dev (>= 1.32.0-2~),
                libgirepository1.0-dev (>= 0.9.12),
                libgdk-pixbuf2.0-doc,

## eog 3.36.0

=== debian/changelog ===
eog (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 17:33:47 +0100

eog (3.35.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 15:20:56 +0100

eog (3.35.91-1) experimental; urgency=medium

  * New upstream release
  * control, compat: Move to declaring compat via debhelper-compat & level 12

 -- Iain Lane <laney@debian.org>  Thu, 20 Feb 2020 10:06:33 +0000

## eog 3.36.1

=== debian/changelog ===
eog (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Mar 2020 22:31:12 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 12),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.16),
@@ -33,7 +33,7 @@
                libglib2.0-doc,
                libgtk-3-doc
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog
 Vcs-Git: https://salsa.debian.org/gnome-team/eog.git
 Homepage: https://wiki.gnome.org/Apps/EyeOfGnome

## eog 3.36.3

=== meson_options.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
 option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
 option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')
+option('profile', type: 'combo', choices: ['default', 'Devel'], value: 'default', description: 'Build profile')

=== debian/changelog ===
eog (3.36.3-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1886480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Jul 2020 16:17:23 +0200

eog (3.36.2-0ubuntu1) focal; urgency=medium

  * New stable update, include fix for custom image loaders (lp: #1873424)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Apr 2020 17:07:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh_missing --fail-missing
 
 override_dh_girepository:
-	dh_girepository -ldebian/tmp/usr/share/eog/gir-1.0/ /usr/lib/$(DEB_HOST_MULTIARCH)/eog/girepository-1.0/
+	dh_girepository -ldebian/tmp/usr/share/eog/gir-1.0/ /usr/lib/$(DEB_HOST_MULTIARCH)/eog /usr/lib/$(DEB_HOST_MULTIARCH)/eog/girepository-1.0/

## eog 3.38.0

=== debian/changelog ===
eog (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 13:44:10 +0200

eog (3.37.90-1) experimental; urgency=medium

  * New upstream release
  * debian/rules:
    - don't build with libportal, that's of no use in the deb

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 15:30:02 +0200

eog (3.36.3-1) unstable; urgency=medium

  * New upstream release (lp: #1886480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Jul 2020 16:10:32 +0200

eog (3.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 Apr 2020 12:05:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dgtk_doc=true
+	dh_auto_configure -- -Dgtk_doc=true -Dlibportal=false
 
 override_dh_missing:
 	dh_missing --fail-missing

## eog 3.38.2

=== meson_options.txt ===
--- 
+++ 
@@ -6,4 +6,5 @@
 option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
 option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
 option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')
+option('libportal', type: 'boolean', value: true, description: 'Enable xdg-desktop-portal support')
 option('profile', type: 'combo', choices: ['default', 'Devel'], value: 'default', description: 'Build profile')

=== debian/changelog ===
eog (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Avoid warning about GError handling when unlinking a directory
      while it is being viewed
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Feb 2021 12:02:31 +0000

eog (3.38.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Refresh thumbnail when images are deleted from file manager
    - Fix a memory leak when reopening in single-window mode
    - Fix an assertion failure when rotating and saving an image multiple
      times
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Nov 2020 15:53:08 +0000

eog (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Standards-Version: 4.5.1 (no changes required)
  * d/changelog: Trim trailing whitespace
  * d/upstream/metadata: Add
  * d/rules: Drop unnecessary -Wl,--as-needed.
    This is the default for recent toolchains in bullseye.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 09:31:02 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                meson (>= 0.50),
                pkg-config,
                libgtk-3-dev (>= 3.22.0),
-               libgdk-pixbuf2.0-dev (>= 2.36.5),
+               libgdk-pixbuf-2.0-dev (>= 2.36.5) | libgdk-pixbuf2.0-dev (>= 2.36.5),
                libglib2.0-dev (>= 2.42.0),
                libgnome-desktop-3-dev (>= 2.91.2),
                shared-mime-info (>= 0.20),
@@ -33,7 +33,7 @@
                libglib2.0-doc,
                libgtk-3-doc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog
 Vcs-Git: https://salsa.debian.org/gnome-team/eog.git
 Homepage: https://wiki.gnome.org/Apps/EyeOfGnome

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@

## eog 40.0

=== debian/changelog ===
eog (40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 21:08:01 +0100

eog (40~rc-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Mon, 15 Mar 2021 10:35:46 +0100

eog (40~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/eog.docs:
    - updated for the new README naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 15:29:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,

## eog 41.0

=== debian/changelog ===
eog (41.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Sep 2021 18:05:10 -0400

eog (40.3-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 18:56:29 -0400

eog (40.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 12:30:09 +0200

eog (40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch:
    - Update to follow the new GNOME version scheme

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 May 2021 13:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.16),
@@ -33,7 +33,7 @@
                libglib2.0-doc,
                libgtk-3-doc
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog
 Vcs-Git: https://salsa.debian.org/gnome-team/eog.git
 Homepage: https://wiki.gnome.org/Apps/EyeOfGnome

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -Dgtk_doc=true -Dlibportal=false
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_girepository:
 	dh_girepository -ldebian/tmp/usr/share/eog/gir-1.0/ /usr/lib/$(DEB_HOST_MULTIARCH)/eog /usr/lib/$(DEB_HOST_MULTIARCH)/eog/girepository-1.0/

## eog 42.0

=== debian/changelog ===
eog (42.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gsettings-desktop-schemas to 42~beta

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 09:05:44 -0400

eog (42~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 12:25:56 -0500

eog (42~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen
  * debian/control.in: Build-Depend on libhandy
  * debian/control.in: Bump minimum gtk3 and meson
  * debian/control.in: Reduce eog-dev's Dependencies to match its pkgconfig file

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 11:55:53 -0500

eog (41.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Dec 2021 03:54:39 -0500

eog (41.0-2) unstable; urgency=medium

  * Only enable librsvg on architectures where it's available

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 Sep 2021 11:19:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,27 +6,28 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gtk-doc-tools (>= 1.16),
+               gi-docgen,
                itstool,
-               meson (>= 0.50),
+               meson (>= 0.58.0),
                pkg-config,
-               libgtk-3-dev (>= 3.22.0),
+               libgtk-3-dev (>= 3.24.15),
                libgdk-pixbuf-2.0-dev (>= 2.36.5) | libgdk-pixbuf2.0-dev (>= 2.36.5),
                libglib2.0-dev (>= 2.42.0),
                libgnome-desktop-3-dev (>= 2.91.2),
                shared-mime-info (>= 0.20),
-               gsettings-desktop-schemas-dev (>= 2.91.92),
+               gsettings-desktop-schemas-dev (>= 42~beta),
                libpeas-dev (>= 0.7.4),
                zlib1g-dev,
                libexif-dev (>= 0.6.14),
+               libhandy-1-dev (>= 1.5.0),
                liblcms2-dev,
                libexempi-dev (>= 1.99.5),
                libjpeg-dev,
-               librsvg2-dev (>= 2.44),
+               librsvg2-dev (>= 2.44) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64],
                libatk1.0-dev (>= 1.32.0-2~),
                libgirepository1.0-dev (>= 0.9.12),
                libgdk-pixbuf2.0-doc,
@@ -44,7 +45,7 @@
          ${misc:Depends},
          ${gir:Depends},
          shared-mime-info (>= 0.20),
-         gsettings-desktop-schemas (>= 2.91.92),
+         gsettings-desktop-schemas (>= 42~beta),
          gir1.2-peas-1.0
 Recommends: librsvg2-common,
             yelp
@@ -60,12 +61,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: eog (= ${binary:Version}),
-         libexempi-dev,
-         libgnome-desktop-3-dev (>= 2.91.2),
          libgtk-3-dev (>= 3.22.0),
-         libjpeg-dev,
-         liblcms2-dev,
-         librsvg2-dev (>= 2.36.2),
+         libhandy-1-dev (>= 1.5.0),
          ${misc:Depends}
 Description: Development files for the Eye of GNOME
  eog or the Eye of GNOME is a graphics viewer for the GNOME desktop

## eog 43.0

=== debian/changelog ===
eog (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 11:03:18 -0400

eog (43~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:49:42 -0400

eog (43~beta-1) unstable; urgency=medium

  * New upstream release
  * Depend on webp-pixbuf-loader: needed to open webp files
  * debian/control.in: Depend on instead of Recommend librsvg2-common

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 16:16:46 -0400

eog (42.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Jun 2022 16:51:33 -0400

eog (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970219)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Apr 2022 09:51:21 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -15,7 +15,7 @@
                meson (>= 0.58.0),
                pkg-config,
                libgtk-3-dev (>= 3.24.15),
-               libgdk-pixbuf-2.0-dev (>= 2.36.5) | libgdk-pixbuf2.0-dev (>= 2.36.5),
+               libgdk-pixbuf-2.0-dev (>= 2.36.5),
                libglib2.0-dev (>= 2.42.0),
                libgnome-desktop-3-dev (>= 2.91.2),
                shared-mime-info (>= 0.20),
@@ -46,9 +46,10 @@
          ${gir:Depends},
          shared-mime-info (>= 0.20),
          gsettings-desktop-schemas (>= 42~beta),
-         gir1.2-peas-1.0
-Recommends: librsvg2-common,
-            yelp
+         gir1.2-peas-1.0,
+         librsvg2-common,
+         webp-pixbuf-loader
+Recommends: yelp
 Suggests: eog-plugins
 Breaks: eog-plugins (<< 3.16.4-2~)
 Description: Eye of GNOME graphics viewer program

## eog 43.2

=== debian/changelog ===
eog (43.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Jan 2023 14:36:50 -0500

eog (43.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 04 Nov 2022 11:37:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64))
ENABLE_RSVG = -Dlibrsvg=true
else
ENABLE_RSVG = -Dlibrsvg=false
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true -Dlibportal=false $(ENABLE_RSVG)

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/eog/gir-1.0/ /usr/lib/$(DEB_HOST_MULTIARCH)/eog /usr/lib/$(DEB_HOST_MULTIARCH)/eog/girepository-1.0/

## eog 44.0

=== debian/changelog ===
eog (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:31:11 -0400

eog (44~beta-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 15:21:18 -0500

## eog 44.3

=== debian/changelog ===
eog (44.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:00:51 -0400

eog (44.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Jarred Wilson <jarred.wilson@canonical.com>  Wed, 12 Jul 2023 12:59:03 -0400

eog (44.2-1) experimental; urgency=medium

  * New upstream release (LP: #2021522)
    - EogWindow: Fix refcount and signal handler issues around GSettings
      handles (Felix Riemann)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/153)
    - Replace filename with basename (Khem Raj)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/154)

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 29 May 2023 14:06:30 -0400

eog (44.1-1) experimental; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * New upstream release
    - EogImage: ref priv->anim to avoid double free issues (Alberto Ruiz)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/150)
    - EogImage: Do not leak animation iter (Felix Riemann)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/152)
    - segfault when switching between animated webp images (Felix Riemann)
      (https://gitlab.gnome.org/GNOME/eog/-/issues/288)
    - New/updated program and manual translations

  [ Jeremy Bicha ]
  * Update standards version to 4.6.2, no changes needed

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 27 Apr 2023 12:50:07 -0400

## eog 45~alpha

=== debian/changelog ===
eog (45~alpha-1ubuntu1) mantic; urgency=medium

  * debian/patches/ubuntu_revert_naming.patch:
    - revert the naming change from the new version and keep calling eog
      'Image viewer' in Ubuntu for now since we don't use 'loupe' yet

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Aug 2023 16:38:36 +0200

eog (45~alpha-1) unstable; urgency=medium

  * New upstream release
    - The display name has been changed from Image Viewer to Eye of GNOME
      since Loupe is GNOME's default image viewer as of GNOME 45.
  * Cherry-pick translation updates since 45~alpha

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 14:22:29 -0400

## eog 45~rc

=== debian/changelog ===
eog (45~rc-1) unstable; urgency=medium

  * New upstream release
  * Drop translation update patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 08:32:49 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -34,7 +34,7 @@
                libglib2.0-doc,
                libgtk-3-doc
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog
 Vcs-Git: https://salsa.debian.org/gnome-team/eog.git
 Homepage: https://wiki.gnome.org/Apps/EyeOfGnome

## eog 45.0

=== debian/changelog ===
eog (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to revert name change from "Image Viewer" to "Eye of GNOME"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 07:43:20 -0400

eog (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 07:30:50 -0400

eog (45~rc-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to revert name change from "Image Viewer" to "Eye of GNOME"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 16:25:32 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: eog
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,

## eog 45.3

=== debian/changelog ===
eog (45.3-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:51:33 +0000

eog (45.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to revert name change from "Image Viewer" to "Eye of GNOME"

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 19 Mar 2024 08:40:43 -0400

eog (45.3-1) unstable; urgency=medium

  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 19 Mar 2024 08:17:51 -0400

eog (45.2-1) unstable; urgency=medium

  * New upstream release
    - data: Update appdata (Sabri Ünal)
      (https://gitlab.gnome.org/GNOME/eog/-/merge_requests/158)
  * debian/control: Bump minimum libglib2.0-dev version to 2.73.2
    per upstream meson.build

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 09 Jan 2024 11:47:36 -0500

eog (45.1-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 15:12:23 +0200

eog (45.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:16:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: eog
 Section: gnome
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,7 +13,7 @@
                pkg-config,
                libgtk-3-dev (>= 3.24.15),
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
-               libglib2.0-dev (>= 2.42.0),
+               libglib2.0-dev (>= 2.73.2),
                libgnome-desktop-3-dev (>= 2.91.2),
                shared-mime-info (>= 0.20),
                gsettings-desktop-schemas-dev (>= 42~beta),

## eog 47.0

=== meson_options.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 option('xmp', type: 'boolean', value: true, description: 'enable special XMP support')
 option('libjpeg', type: 'boolean', value: true, description: 'enable special JPEG support')
 option('librsvg', type: 'boolean', value: true, description: 'enable RSVG support')
-option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
+option('gtk_doc', type: 'boolean', value: false, description: 'build documentation')
 option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
 option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')
 option('libportal', type: 'boolean', value: true, description: 'Enable xdg-desktop-portal support')

=== debian/changelog ===
eog (47.0-1ubuntu2) plucky; urgency=medium

  * Move libjxl-gdk-pixbuf from Suggests to Depends (LP: #2099691)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Apr 2025 14:17:51 -0400

eog (47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to revert name change from "Image Viewer" to "Eye of GNOME"
    - Demote Depends: libjxl-gdk-pixbuf to Suggests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 11:37:21 -0400

eog (47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 11:31:54 -0400

eog (47~beta-1ubuntu2) oracular; urgency=medium

  * Demote Depends: libjxl-gdk-pixbuf to Suggests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 12:05:45 -0400

eog (47~beta-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to revert name change from "Image Viewer" to "Eye of GNOME"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 11:37:03 -0400

eog (47~beta-1) unstable; urgency=medium

  * New upstream release
  * Add Depends: libjxl-gdk-pixbuf for jpeg-xl support
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 11:35:15 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                gi-docgen,
                itstool,
                meson (>= 0.58.0),
-               pkg-config,
+               pkgconf,
                libgtk-3-dev (>= 3.24.15),
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
                libglib2.0-dev (>= 2.73.2),
@@ -31,7 +31,7 @@
                libglib2.0-doc,
                libgtk-3-doc
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog
 Vcs-Git: https://salsa.debian.org/gnome-team/eog.git
 Homepage: https://wiki.gnome.org/Apps/EyeOfGnome
@@ -44,6 +44,7 @@
          shared-mime-info (>= 0.20),
          gsettings-desktop-schemas (>= 42~beta),
          gir1.2-peas-1.0,
+         libjxl-gdk-pixbuf,
          librsvg2-common,
          webp-pixbuf-loader
 Recommends: yelp

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,5 @@
 
 override_dh_girepository:
 	dh_girepository -ldebian/tmp/usr/share/eog/gir-1.0/ /usr/lib/$(DEB_HOST_MULTIARCH)/eog /usr/lib/$(DEB_HOST_MULTIARCH)/eog/girepository-1.0/
+
+override_dh_gnome_clean:

## eog 49.1

=== debian/changelog ===
eog (49.1-1build1) resolute; urgency=medium

  * Rebuild against latest libpeas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 08 Feb 2026 22:50:32 -0500

eog (49.1-1) unstable; urgency=medium

  * New upstream release
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Point Homepage to GNOME GitLab
  * Update lists of architectures for librsvg dependency
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jan 2026 14:24:57 -0500

eog (47.0-5) unstable; urgency=medium

  * Team upload
  * Upload to unstable (transition: #1118613)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Nov 2025 11:14:03 +0000

eog (47.0-4) experimental; urgency=medium

  * Team upload
  * Build with a libpeas that uses libgirepository-2.0
    (Helps: #1099164, #1118363)
    - d/p/Use-libgirepository-2.0-for-compatibility-with-pygobject-.patch:
      Add patch from Fedora to enable that. Thanks to Leigh Scott
  * Upload to experimental until we are ready for the pygobject 3.54
    transition

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Oct 2025 13:39:35 +0100

eog (47.0-3) unstable; urgency=medium

  * Stop using dh-sequence-gnome
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 06:55:16 -0400

eog (47.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Remove Multi-Arch: same from eog-dev.
    It cannot usefully be multiarch co-installable, because it depends
    on eog which is not co-installable.
  * d/control: Build-depend on gobject-introspection instead of
    libgirepository1.0-dev.
    libgirepository1.0-dev is not Multi-Arch co-installable and should be
    phased out during the forky cycle.
  * d/control: Explicitly build-depend on gir1.2-gtk-3.0-dev.
    This brings us one step closer to gtk+3.0 being able to implement
    the <!nogir> build profile if it becomes useful to do so.
  * d/copyright: Stop quoting the FSF's old postal address
  * d/copyright: Clean up trailing whitespace
  * Standards-Version: 4.7.2 (no changes required)
  * d/*.install: Canonicalize into sorted order
  * d/control: Canonicalize order of dependency lists

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Aug 2025 00:38:31 +0100

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x hurd-i386 hurd-amd64 powerpc ppc64 sparc64 x32))
ENABLE_RSVG = -Dlibrsvg=true
else
ENABLE_RSVG = -Dlibrsvg=false
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true -Dlibportal=false $(ENABLE_RSVG)

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/eog/gir-1.0/ /usr/lib/$(DEB_HOST_MULTIARCH)/eog /usr/lib/$(DEB_HOST_MULTIARCH)/eog/girepository-1.0/
